<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Menschderlader: menschderlader.utils.web Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Menschderlader
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A bot that mimics a human while downloading files</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemenschderlader.html">menschderlader</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1utils_1_1web.html">web</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">menschderlader.utils.web Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4aed98e22c08af6172b0d5c042ca7aa9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1utils_1_1web.html#a4aed98e22c08af6172b0d5c042ca7aa9">is_relative_url</a> (candidate)</td></tr>
<tr class="separator:a4aed98e22c08af6172b0d5c042ca7aa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5a7d5c07f6dd60bd21524f438a3bb2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1utils_1_1web.html#a1a5a7d5c07f6dd60bd21524f438a3bb2">get_hostname</a> (url)</td></tr>
<tr class="separator:a1a5a7d5c07f6dd60bd21524f438a3bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dc45525a6b1390ee00c4779aa64548f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1utils_1_1web.html#a3dc45525a6b1390ee00c4779aa64548f">is_url_from_root</a> (candidate, root_host)</td></tr>
<tr class="separator:a3dc45525a6b1390ee00c4779aa64548f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1a5a7d5c07f6dd60bd21524f438a3bb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a5a7d5c07f6dd60bd21524f438a3bb2">&#9670;&nbsp;</a></span>get_hostname()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.utils.web.get_hostname </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param url: str
    Url
:return: str
    Name of host of url
</pre> 
</div>
</div>
<a id="a4aed98e22c08af6172b0d5c042ca7aa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aed98e22c08af6172b0d5c042ca7aa9">&#9670;&nbsp;</a></span>is_relative_url()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.utils.web.is_relative_url </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>candidate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param candidate: str
    Candidate url
:return: bool
    True iff candidate is a relative path (url)
</pre> 
</div>
</div>
<a id="a3dc45525a6b1390ee00c4779aa64548f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dc45525a6b1390ee00c4779aa64548f">&#9670;&nbsp;</a></span>is_url_from_root()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.utils.web.is_url_from_root </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>candidate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>root_host</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param candidate: str
    Candidate url
:param root_host: str
    Hostname of root url
:return: bool
    True iff candidate url is from the root host specified
</pre> 
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
